| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.ICCDeviceTemperatureManager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCDeviceTemperatureManager:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | GetDeviceTemperature (self)
def | GetDeviceTemperatureThreshold (self)
def | SetDeviceTemperatureThreshold (self, threshold=0)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| channel
| device_temperature
| device_temp_threshold
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    Device Functionality - Device Temperature Readout
    System ID: 0x22

    +---------------------+------+-------------+------+-------+---------+-------------------------------------------------+
    | Register Name       | Id   | Type        | Unit | Range | Default | Comment                                         |
    +=====================+======+=============+======+=======+=========+=================================================+
    |device_temperature   | 0x00 |uint 32-bit  |°C    |       |         |                                                 |
    +---------------------+------+-------------+------+-------+---------+-------------------------------------------------+
    |device_temp_threshold| 0x01 |uint 32-bit  |°C    |       |         |                                                 |
    +---------------------+------+-------------+------+-------+---------+-------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.ICCDeviceTemperatureManager.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetDeviceTemperature()

def optoICC.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperature | ( |  | self | ) |

## ◆ GetDeviceTemperatureThreshold()

def optoICC.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

## ◆ help()

def optoICC.registers.icc_registers.ICCDeviceTemperatureManager.help | ( |  | ) |
| static

## ◆ SetDeviceTemperatureThreshold()

def optoICC.registers.icc_registers.ICCDeviceTemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.ICCDeviceTemperatureManager._is_a_system = True
| static protected

## ◆ channel

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.channel

## ◆ device_temp_threshold

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.device_temp_threshold

## ◆ device_temperature

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.device_temperature

## ◆ name

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.name

## ◆ sys_id

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py